#!/bin/bash
#===============================================================================
#
#          FILE:  dronix_tool.sh
# 
#         USAGE:  . dronix_tool.sh 
# 
#   DESCRIPTION:  DroniX Lib Tool
# 
#       OPTIONS:  ---
#  REQUIREMENTS:  ---
#          BUGS:  ---
#         NOTES:  ---
#        AUTHOR:  Stefano Viola (), stefanoviola85@gmail.com
#       COMPANY:  DroniX Dev Team
#       VERSION:  0.1.0
#       CREATED:  28/09/2011 21:22:40 CEST
#      REVISION:  ---
#===============================================================================


#-------------------------------------------------------------------------------
#   INCLUDE Library Configuration Manager
#-------------------------------------------------------------------------------
. /system/lib/dronix/dronix_lib_CM.sh

THEME_PATH=/system/dronix/themes/
CUSTOM_THEME_PATH=/mnt/sdcard/dronix-themes/

function cli ()
{
		echo " "

}	# ----------  end of function cli  ----------


#===  FUNCTION  ================================================================
#          NAME:  theme_switcher
#   DESCRIPTION:  Switch DroniX theme
#    PARAMETERS:  Name themes [ dronix04 | ginger | ics | restore | custom ]
#                 Name icon   [ battery1 | battery2 ]
#       RETURNS:  void
#===============================================================================
function theme ()
{
       echo "Theme Settings"
       custrw
       case $1 in
        steel)
                echo "Selected theme DroniX 0.4"
                cd $THEME_PATH
                cp -r dronix04/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "THEME" "dronix04"
                frkrw
                ;;
          ginger)
                echo "Selected theme Gingerbread"
                cd $THEME_PATH
                cp -r ginger/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "THEME" "ginger"
                frkrw
                ;;
           ics)
                echo "Selected theme HTC-Sense"
                cd $THEME_PATH
                cp -r ics/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "THEME" "sense"
                frkrw
                ;;
         restore)
                echo "Restore default theme"
                cd $THEME_PATH
                cp -r original/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "THEME" "default"
                set_value "BATTERY" "default"
                frkrw
                ;;
	 battery1)
                echo "Selected Battery 1"
                cd $THEME_PATH
                cp -r battery1/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "BATTERY" "battery1"
                frkrw
                ;;
	 battery2)
                echo "Selected Battery 2"
                cd $THEME_PATH
                cp -r battery2/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "BATTERY" "battery2"
                frkrw
                ;;
      battery3)
                echo "Selected Battery 3"
                cd $THEME_PATH
                cp -r battery3/ /cache/res
                cd /cache
                zip -mr /cust/framework-res.apk res/
                set_value "BATTERY" "battery3"
                frkrw
                ;;
          custom)
                echo "Selected Custum Theme /sdcard/dronix-themes"
                cd $CUSTOM_THEME_PATH
                cp -r custom/ /cache/res
                cd /cache
                zip -mr /system/framework/framework-res.apk res/
                set_value "THEME" "custom"
                frkrw
                ;;
               *)
                echo "error"
                ;;
       esac

       check_dpm_status

}    # ----------  end of function theme  ----------

function update ()
{
        
	echo ""        
}    # ----------  end of function update  ----------


function upgrade ()
{
        echo ""
}    # ----------  end of function upgrade  ----------


